Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.webapp
Class JettyWebXmlConfiguration

    java.lang.Object
      org.mortbay.jetty.webapp.JettyWebXmlConfiguration

All Implemented Interfaces:
  Serializable, Configuration

    public class JettyWebXmlConfiguration

extends Object
implements Configuration

JettyWebConfiguration. Looks for Xmlconfiguration files in WEB-INF. Searches in order for the first of jetty6-web.xml, jetty-web.xml or web-jetty.xml

Author:
  janb
See Also:
  Serialized Form

Constructor Summary
`JettyWebXmlConfiguration()`

Method Summary
`void` | `configureClassLoader()` configureClassPath Not used.
`void` | `configureDefaults()` configureDefaults Not used.
`void` | `configureWebApp()` configureWebApp Apply web-jetty.xml configuration
`void` | `deconfigureWebApp()` deconfigureWebApp
`WebAppContext` | `getWebAppContext()` Get the context on which the configuration is performed.
`void` | `setWebAppContext(WebAppContext context)` Set up a context on which to perform the configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettyWebXmlConfiguration

    public JettyWebXmlConfiguration()

Method Detail

### setWebAppContext

    public void setWebAppContext(WebAppContext context)

  Description copied from interface: `Configuration`
  Set up a context on which to perform the configuration.

  Specified by:
    `setWebAppContext` in interface `Configuration`
  See Also:
    `Configuration.setWebAppContext(org.mortbay.jetty.webapp.WebAppContext)`

### getWebAppContext

    public WebAppContext getWebAppContext()

  Description copied from interface: `Configuration`
  Get the context on which the configuration is performed.

  Specified by:
    `getWebAppContext` in interface `Configuration`

### configureClassLoader

    public void configureClassLoader()
                              throws Exception

  configureClassPath Not used.

  Specified by:
    `configureClassLoader` in interface `Configuration`
  Throws:
    `Exception`
  See Also:
    `Configuration.configureClassLoader()`

### configureDefaults

    public void configureDefaults()
                           throws Exception

  configureDefaults Not used.

  Specified by:
    `configureDefaults` in interface `Configuration`
  Throws:
    `Exception`
  See Also:
    `Configuration.configureDefaults()`

### configureWebApp

    public void configureWebApp()
                         throws Exception

  configureWebApp Apply web-jetty.xml configuration

  Specified by:
    `configureWebApp` in interface `Configuration`
  Throws:
    `Exception`
  See Also:
    `Configuration.configureWebApp()`

### deconfigureWebApp

    public void deconfigureWebApp()
                           throws Exception

  deconfigureWebApp

  Specified by:
    `deconfigureWebApp` in interface `Configuration`
  Throws:
    `Exception`
  See Also:
    `Configuration.deconfigureWebApp()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.